Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks

Namespace VideoRecorder.Shared
	Public MustInherit Partial Class VideoRecorderCore
        'public MustOverride Function(e as GeneralErrorEventArgs) Handles CaptureFailed 
        Public Shadows Event CaptureFailed As EventHandler(Of GeneralErrorEventArgs)

		Public MustOverride Function InitializeVideoRecorderAsync() As Task

		Public MustOverride Function InitializeFileSinkAsync() As Task

		Public MustOverride Function InitializePlayerFileStreamAsync() As Task

		Public MustOverride ReadOnly Property VideoSource As Object

		Public MustOverride ReadOnly Property VideoCaptureDevice As Object

		Public MustOverride ReadOnly Property VideoFileStream As Object

		Public MustOverride ReadOnly Property IsVideoSourceStarted As Boolean

		Public MustOverride ReadOnly Property IsVideoSourceStopped As Boolean

		Public MustOverride Function StartVideoSourceAsync() As Task

		Public MustOverride Function StopVideoSourceAsync() As Task

		Public MustOverride Function StartVideoRecordingAsync() As Task

		Public MustOverride Function StopVideoRecordingAsync() As Task

		Public MustOverride Sub DisposeFileSink()

		Public MustOverride Sub DisposeVideoPlayer() ' does this need to be abstracted?

		Public MustOverride Sub DisposeVideoRecorder()

		Public Shared Property Instance As VideoRecorderCore
	End Class
End Namespace
